#include "mbc_none.h"

namespace mbc_none
{
    uint8_t *rom;

    void reset() { } // nothing to do

    uint8_t readRom(uint16_t address) { return rom[address]; }

    void writeRom(uint16_t address, uint8_t value) { } // do nothing

    uint8_t readRam(uint16_t address) { return 0xff; }

    void writeRam(uint16_t address, uint8_t value) { } // do nothing

    void init(uint8_t *rom, uint32_t rom_size, uint32_t ram_size)
    {
        mbc_none::rom = rom;
        reset();
    }
}